> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.middesk.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server.

# Retrieve a business batch

GET https://api.middesk.com/v1/business_batches/{id}

Reference: https://docs.middesk.com/api-reference/business-verification/business-batches/get-business-batch

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — Business Batch ID

## Response

### 200

business batch found

- `object` (string, required)
- `id` (string, required)
- `name` (string, required)
- `filename` (string, required)
- `business_count` (integer, required)
- `completed_business_count` (integer, required)
- `created_at` (datetime, required)
- `account` (BusinessBatchAccount, required)

## Errors

### 404 Get Business Batch Request Not Found Error

business batch not found

- `errors` (list of ErrorResponseErrorsItem, required)

## Types

### BusinessBatchAccount

- `id` (string, required)
- `name` (string, required)
- `slug` (string, required)
- `pilot` (boolean, required)

### ErrorResponseErrorsItem

- `message` (string, required)
- `parameter` (string, optional) — Request parameter associated with the error, when applicable

## Examples

**Response**

```json
{
  "object": "business_batch",
  "id": "e1f2a3b4-c5d6-7890-4567-89abcdef0123",
  "name": "Q1-2025-Verification-Batch",
  "filename": "businesses.csv",
  "business_count": 1,
  "completed_business_count": 0,
  "created_at": "2025-01-07T12:00:00Z",
  "account": {
    "id": "f2a3b4c5-d6e7-8901-5678-9abcdef01234",
    "name": "Example Account",
    "slug": "example-account",
    "pilot": false
  }
}
```

**SDK Code**

```python Business batch details
import requests

url = "https://api.middesk.com/v1/business_batches/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Business batch details
const url = 'https://api.middesk.com/v1/business_batches/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Business batch details
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.middesk.com/v1/business_batches/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Business batch details
require 'uri'
require 'net/http'

url = URI("https://api.middesk.com/v1/business_batches/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Business batch details
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.middesk.com/v1/business_batches/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Business batch details
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.middesk.com/v1/business_batches/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Business batch details
using RestSharp;

var client = new RestClient("https://api.middesk.com/v1/business_batches/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Business batch details
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.middesk.com/v1/business_batches/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```